Zira logo
Support
Developers
Authentication
AUTH

API Authentication

Posts
POST

Add Post

Readings
GET

Download Template

GET

Get Readings

POST

Add Readings

Tasks
GET

Get Tasks

POST

Add Task

PATCH

Update Task

Add Post

POST
https://api.zira.us/public/post
Description

Use this endpoint when an external system needs to publish an update into a Zira channel. The request can send a single post object or an array of post objects.

PropertyRequiredTypeExampleDescription
title
Optional
stringHello world!Optional title shown above the post content.
content
Required
stringThis is my messageMain post body text.
toChannelId
Required
string14727Target channel ID where the post will be created.
skipNotifications
Optional
booleantrueSet to true to avoid notifying followers about this post.
payload
Optional
object{ ... }Optional structured payload attached to the post.
groupingKey
Optional
stringinspection-2026-05-26Optional grouping key for related post events.
imageId
Optional
string8831Optional image asset reference to attach to the post.
priorityId
Optional
string2Optional priority reference for the post.
hashtags
Optional
string[]["inspection", "night-shift"]Optional hashtags to attach to the post.
ctas
Optional
object[][{ ... }]Optional call-to-action objects attached to the post.